SetWorkingDir %A_ScriptDir%
SteamID = REPLACE THIS WITH YOUR STEAMID3, WHICH CAN BE FOUND USING HTTPS://STEAMID.IO/
Path = C:\Program Files (x86)\Steam\userdata\%SteamID%\218740\remote\save_SLOT_3.sav

If !FileExist(Path)
{
	MsgBox, Bad Steam ID or saves path
	ExitApp
}

If !FileExist("PidSaves")
{
	FileCreateDir, PidSaves
}

#IfWinActive Pid
^S::
{
	InputBox, Name, Save Name
	FileCopy, %Path%, PidSaves\save_SLOT_3-%Name%.sav
}
return

#IfWinActive Pid
^O::
{
	; Create the ListView with column Name:
	Gui, New
	Gui, Add, ListView, r20 w700 gMyListView, Name

	; Gather a list of file names from a folder and put them into the ListView:
	FileName = 
	Loop, PidSaves\*.sav
    		FileName .= A_LoopFileName "`n"
	Sort, FileName, F SortStrCmpLogical
	Loop, parse, FileName, `n
	{
		if A_LoopField !=
			LV_Add("",A_LoopField)
	}

	; Display the window and return. The script will be notified whenever the user double clicks a row.
	Gui, Show
	return
}
return

MyListView:
if (A_GuiEvent = "DoubleClick")
{
    	LV_GetText(RowText, A_EventInfo)  ; Get the text from the row's first field.
	FileCopy, PidSaves\%RowText%, %Path%, 1
	Gui, Cancel
}
return

SortStrCmpLogical(vTextA, vTextB, vOffset) ;for use with AHK's Sort command
{
	local
	vRet := DllCall("shlwapi\StrCmpLogicalW", "WStr",vTextA, "WStr",vTextB)
	return vRet ? vRet : -vOffset
}